View Issue Details

IDProjectCategoryView StatusLast Update
0001905SOGoSOPEpublic2012-11-19 09:39
Reporterlimser Assigned Toludovic  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.16 
Target Version2.0.0Fixed in Version2.0.0 
Summary0001905: PrintfFormatScanner can't compile on a Raspberry Pi (ARMv6) with Debian Wheezy
Description

Hello,
i am trying to Install Sogo on a Raspberry Pi (ARMv6 compatible prozessor rev 7, v6l), but i can't compile SOPE from source, because an error ocurred by compiling PrintfFormatScanner:
I have patched the source with the sope-arm.patch (921) and the sope-arm-buildfix.patch (1820). But only the error-message changed:

...
Making all in sope-gdl1 ...
Making all in GDLAccess ...
Making all in subprojects of library libGDLAccess...
Making all for subproject FoundationExt...
Compiling file PrintfFormatScanner.m ...
PrintfFormatScanner.m: In function ‘-[PrintfFormatScanner stringWithFormat:arguments:]’:
PrintfFormatScanner.m:36:9: error: used struct type value where scalar is required
make[6]: [obj/FoundationExt.obj/PrintfFormatScanner.m.o] Error 1
make[5]:
[internal-subproject-all_] Error 2
make[4]: [FoundationExt.all.subproject.variables] Error 2
make[3]:
[libGDLAccess.all.library.variables] Error 2
make[2]: [internal-all] Error 2
make[1]:
[internal-all] Error 2
make: *** [internal-all] Error 2

I hope someone can help me.
Thanks.
timvdk

TagsNo tags attached.

Activities

ludovic

ludovic

2012-09-20 09:25

administrator   ~0004503

Try this patch:

--- a/sope-gdl1/GDLAccess/FoundationExt/PrintfFormatScanner.m
+++ b/sope-gdl1/GDLAccess/FoundationExt/PrintfFormatScanner.m
@@ -33,7 +33,7 @@

#ifdef __va_copy
// args being NULL breaks heavily on amd64

  • if (args) {
  • if (args != NULL) {
    __va_copy(va, args);
    } else {
    return format;
ludovic

ludovic

2012-09-20 10:34

administrator   ~0004512

Fixed: https://github.com/inverse-inc/sope/commit/3a21618d2f4a995688c03344fc70d5b528259a4d

limser

limser

2012-09-28 14:17

reporter   ~0004596

Last edited: 2012-09-28 14:24

Thank you for trying to fix it, but it doesn't work on the Raspberry Pi with this fix, it stops now with the following error:

PrintfFormatScanner.m:36:14: error: invalid operands to binary != (have "va_list" and "void *")

ludovic

ludovic

2012-11-18 11:29

administrator   ~0004889

Can you try again with 2.0.2a or the current source version?

limser

limser

2012-11-18 17:34

reporter   ~0004900

Hello lodovic,
thank you for your help, i've solved the problem for a few days, there was a problem with gnustep, so gnustep wasn't installed correctly. After I installed the dependencies for gnustep manually, SOGo compiled succesfully.
If anyone would install a Mailserver with SOGo on a Raspberry Pi and have the same Problems, i can write a tutorial.

ludovic

ludovic

2012-11-18 17:37

administrator   ~0004901

So I can close this bug?

ludovic

ludovic

2012-11-19 09:39

administrator   ~0004910

Closing for now, reopen if necessary.

Issue History

Date Modified Username Field Change
2012-07-28 04:27 limser New Issue
2012-09-20 09:25 ludovic Note Added: 0004503
2012-09-20 09:27 ludovic Status new => feedback
2012-09-20 09:27 ludovic Status feedback => assigned
2012-09-20 09:27 ludovic Assigned To => ludovic
2012-09-20 09:27 ludovic Target Version => 2.0.0
2012-09-20 10:34 ludovic Note Added: 0004512
2012-09-20 10:34 ludovic Status assigned => closed
2012-09-20 10:34 ludovic Resolution open => fixed
2012-09-20 10:34 ludovic Fixed in Version => 2.0.0
2012-09-28 14:17 limser Note Added: 0004596
2012-09-28 14:17 limser Status closed => feedback
2012-09-28 14:17 limser Resolution fixed => reopened
2012-09-28 14:23 limser Note Edited: 0004596
2012-09-28 14:24 limser Note Edited: 0004596
2012-11-18 11:29 ludovic Note Added: 0004889
2012-11-18 17:34 limser Note Added: 0004900
2012-11-18 17:37 ludovic Note Added: 0004901
2012-11-19 09:39 ludovic Note Added: 0004910
2012-11-19 09:39 ludovic Status feedback => closed
2012-11-19 09:39 ludovic Resolution reopened => fixed